우분투에 최신 버전 노드 설치하기

2021-04-21

우분투에 apt-get으로 노드(nodejs)를 설치했더니 10.X 버전이다. ESM(ECMAScript Module) 구문에서 오류가 나면서 스벨트킷 앱이 돌지를 않는다. 게다가 npm도 따로 설치해야 한다.

검색해보니 설치할 수 있는 많은 방법 중에 노드소스(NodeSource)에서 배포하는 판을 까는 것이 제일 권장되는 것 같다. 아래와 같이 PPA(Personal Package Archive)를 추가해서 설치하면 최신 버전의 노드를 설치할 수 있다.

curl -fsSL https://deb.nodesource.com/setup_15.x | sudo -E bash -
sudo apt-get install -y nodejs

15.X 버전의 노드가 npm과 함께 설치된다. ESM도 별도 설정 없이 잘 된다.

Comments

Post a comment

:

: 공개 되지 않습니다. Gravatar를 표시 합니다.

:

: HTML 태그를 사용할 수 없습니다.